<?php

namespace Drupal\cdnetworks_purge\Form;

use Drupal\Core\Form\FormStateInterface;

/**
 * Build CDNetworks admin form UI.
 */
class ConfigForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'cdnetworks_purge_settings_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->getConfig();

    $form['username'] = [
      '#type' => 'key_select',
      '#title' => $this->t('CDNetworks Username'),
      '#default_value' => $config->get('username'),
    ];

    $form['apikey'] = [
      '#type' => 'key_select',
      '#title' => $this->t('CDNetworks APIkey'),
      '#default_value' => $config->get('apikey'),
    ];

    $form['cachetag'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Enable Cache Tag headers'),
      '#default_value' => $config->get('cachetag'),
      '#description' => $this->t('Select if you want to generate Cache Tag header for CDNetworks'),
    ];

    $form['base_uri'] = [
      '#type' => 'textfield',
      '#title' => $this->t('CDNetworks Base REST URI'),
      '#default_value' => $config->get('base_uri'),
      '#description' => $this->t('Do not inclue trailing slash. Ex. https://api.cdnetworks.com'),
    ];

    return parent::buildForm($form, $form_state);
  }

}
